<app-loader></app-loader>
<app-header>

    <mat-toolbar color="primary">
      <mat-toolbar-row>
        <button mat-icon-button (click)="sidenav.toggle()" fxShow="true">
          <mat-icon>menu</mat-icon>
        </button>
        <span class="menu-spacer">
          <span fxHide.lt-sm>INSTITUTO FEDERAL DA PARAÍBA | </span> <span> RADAR IFPB</span>
        </span>
      </mat-toolbar-row>
    </mat-toolbar>
  
    <mat-sidenav-container fxFlexFill>
      <mat-sidenav #sidenav>
        <mat-card>
          <mat-card-content>
            <mat-nav-list>
              <mat-list-item  routerLinkActive="active" [routerLink]="['/home/dashboard']">
                <mat-icon  mat-list-icon>home</mat-icon>
                <a matLine> HOME </a>
              </mat-list-item>
              <!-- <mat-list-item routerLinkActive="active">
                <mat-icon mat-list-icon>autorenew</mat-icon>
                <a matLine> Sincronizar Dados </a>
              </mat-list-item> -->
            </mat-nav-list>
          </mat-card-content>
        </mat-card>
  
        <mat-card>
           <mat-card-title>Dashboards</mat-card-title>
  
           <mat-nav-list>
            <mat-list-item routerLinkActive="active"  [routerLink]="['/home/extensao']">
              <mat-icon mat-list-icon>extension</mat-icon>
              <a matLine routerLinkActive="active"> Extensão </a>
            </mat-list-item>
  
            <mat-list-item routerLinkActive="active"  [routerLink]="['/home/pesquisa']">
              <mat-icon mat-list-icon>search</mat-icon>
              <a matLine> Pesquisa </a>
            </mat-list-item>
  
            <mat-list-item routerLinkActive="active"  [routerLink]="['/home/estudante']">
              <mat-icon mat-list-icon>face</mat-icon>
              <a matLine> Estudante </a>
            </mat-list-item>
  
            <mat-list-item routerLinkActive="active"  [routerLink]="['/home/administracao']">
              <mat-icon mat-list-icon>account_balance_wallet</mat-icon>
              <a matLine> Administração </a>
            </mat-list-item>
  
          </mat-nav-list>
        </mat-card>
  
        <mat-card>
          <mat-card-title>Aplicativo</mat-card-title>
          <mat-nav-list>
            <mat-list-item (click)="abrirSobre()">
              <mat-icon mat-list-icon>stay_primary_portrait</mat-icon>
              <a matLine> Sobre </a>
            </mat-list-item>
          </mat-nav-list>
        </mat-card>
        <mat-nav-list>
          <mat-list-item>          
            {{versao.frontend}}/{{versao.backend}}
          </mat-list-item>
        </mat-nav-list>
      </mat-sidenav>
      <mat-sidenav-content fxFlexFill>
        <app-container>
          <router-outlet></router-outlet>
        </app-container>
      </mat-sidenav-content>
    </mat-sidenav-container>  

</app-header>